[arch-commits] Commit in bladeenc/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Apr 29 02:00:04 EDT 2009


    Date: Wednesday, April 29, 2009 @ 02:00:04
  Author: eric
Revision: 36975

Merged revisions 36974 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/bladeenc/trunk

........
  r36974 | eric | 2009-04-29 01:59:48 -0400 (Wed, 29 Apr 2009) | 2 lines
  
  upgpkg: bladeenc 0.94.2-2
      Updated url, Fixed license, Put source on local ftp, Added doc
........

Modified:
  bladeenc/repos/extra-x86_64/	(properties)
  bladeenc/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)


Property changes on: bladeenc/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /bladeenc/trunk:1-8757
   + /bladeenc/trunk:1-36974

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-29 05:59:48 UTC (rev 36974)
+++ extra-x86_64/PKGBUILD	2009-04-29 06:00:04 UTC (rev 36975)
@@ -3,18 +3,19 @@
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 pkgname=bladeenc
 pkgver=0.94.2
-pkgrel=1
+pkgrel=2
 pkgdesc="A freeware MP3 encoder"
 arch=('i686' 'x86_64')
-url="http://bladeenc.mp3.no/"
-license=('GPL2')
+url="http://blogninja.com/doc/bladeenc-doc/html/"
+license=('LGPL')
 depends=('glibc')
-source=(http://bladeenc.mp3.no/source/$pkgname-$pkgver-src-stable.tar.gz)
+source=(ftp://ftp.archlinux.org/other/bladeenc/$pkgname-$pkgver-src-stable.tar.gz)
 md5sums=('9b9f6eafe1637a48a67f0a0f8f6e71ad')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m644 bladeenc.html $pkgdir/usr/share/doc/bladeenc/bladeenc.html
 }



More information about the arch-commits mailing list